{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Returns the pending access requests for a target object or a target object filtered by user.","properties":{"query":{"type":"object","properties":{"target":{"type":"string","examples":["1331"],"description":"Globally unique identifier for the target object."},"user":{"type":"string","examples":["me"],"description":"A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."},"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["approval_status","message","requester","requester.name","target"]},"examples":[["approval_status","message","requester","requester.name","target"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":["target"],"additionalProperties":false}},"required":["query"],"additionalProperties":false},"name":"Get access requests","id":"asana.getaccessrequests","example":{"query":{"target":"1331"}},"maxRequests":1,"summary":false}}